OMV update giving errors.

  • I am not able to update my OMV6 for a while. This is the error :



    Upgrade system

    Reading package lists...
    Building dependency tree...
    Reading state information...
    Calculating upgrade...
    The following packages will be REMOVED: linux-image-6.1.0-0.deb11.6-amd64
    The following NEW packages will be installed: linux-headers-6.1.0-0.deb11.13-amd64 linux-headers-6.1.0-0.deb11.13-common linux-image-6.1.0-0.deb11.13-amd64
    The following packages will be upgraded: adduser amd64-microcode base-files bind9-host bind9-libs conmon containerd.io cpio crun curl dbus distro-info-data docker-buildx-plugin docker-ce docker-ce-cli docker-compose-plugin dpkg dpkg-dev grub-common grub-pc grub-pc-bin grub2-common intel-microcode libbsd0 libc-bin libc-dev-bin libc-l10n libc6 libc6-dev libcuda1 libcups2 libcurl4 libdbus-1-3 libdpkg-perl libglib2.0-0 libgnutls30 libgssapi-krb5-2 libk5crypto3 libkrb5-3 libkrb5support0 libncurses6 libncursesw6 libnftables1 libnghttp2-14 libnvcuvid1 libnvidia-encode1 libnvidia-ml1 libnvidia-ptxjitcompiler1 libperl5.32 libssl1.1 libtiff5 libtinfo6 libx11-6 libx11-data libxpm4 libyajl2 libzmq5 linux-compiler-gcc-10-x86 linux-headers-amd64 linux-image-amd64 linux-kbuild-6.1 linux-libc-dev locales logrotate ncurses-base ncurses-bin nftables nvidia-alternative nvidia-kernel-dkms nvidia-kernel-support nvidia-legacy-check nvidia-smi openmediavault openmediavault-compose openmediavault-ftp openmediavault-omvextrasorg openssh-client openssh-server openssh-sftp-server openssl perl perl-base perl-modules-5.32 podman postfix salt-common salt-minion tar tzdata
    Preconfiguring packages ...
    /tmp/grub-pc.config.H9s3R7: 39: /etc/default/grub: iommu.passthrough=1: not found
    grub-pc failed to preconfigure, with exit status 127
    89 upgraded, 3 newly installed, 1 to remove and 0 not upgraded.
    3 not fully installed or removed.
    Need to get 0 B/324 MB of archives.
    After this operation, 74.9 MB of additional disk space will be used.
    (Reading database ... (Reading database ... 5%
    (Reading database ... 10%
    (Reading database ... 15%
    (Reading database ... 20%
    (Reading database ... 25%
    (Reading database ... 30%
    (Reading database ... 35%
    (Reading database ... 40%
    (Reading database ... 45%
    (Reading database ... 50%
    (Reading database ... 55%
    (Reading database ... 60%
    (Reading database ... 65%
    (Reading database ... 70%
    (Reading database ... 75%
    (Reading database ... 80%
    (Reading database ... 85%
    (Reading database ... 90%
    (Reading database ... 95%
    (Reading database ... 100%
    (Reading database ... 112813 files and directories currently installed.)
    Removing linux-image-6.1.0-0.deb11.6-amd64 (6.1.15-1~bpo11+1) ...
    /etc/kernel/postrm.d/initramfs-tools:
    update-initramfs: Deleting /boot/initrd.img-6.1.0-0.deb11.6-amd64
    /etc/kernel/postrm.d/zz-update-grub:
    /usr/sbin/grub-mkconfig: 39: /etc/default/grub: iommu.passthrough=1: not found
    run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code 127
    dpkg: error processing package linux-image-6.1.0-0.deb11.6-amd64 (--remove): installed linux-image-6.1.0-0.deb11.6-amd64 package post-removal script subprocess returned error exit status 1
    dpkg: too many errors, stopping
    Errors were encountered while processing: linux-image-6.1.0-0.deb11.6-amd64
    Processing was halted because there were too many errors.

    ** CONNECTION LOST **



    ANY Ideas what is happening?

    • Official Post

    ANY Ideas what is happening?

    Nothing to worry about. Since your system was installing updates to omv itself and plugins, OMV's engined is being restarted which can sometimes cause the connection loss. The upgrade will still complete normally. Just wait a couple of minutes and hit ctrl-shift-R.

    omv 7.0.5-1 sandworm | 64 bit | 6.8 proxmox kernel

    plugins :: omvextrasorg 7.0 | kvm 7.0.13 | compose 7.1.4 | k8s 7.1.0-3 | cputemp 7.0.1 | mergerfs 7.0.4


    omv-extras.org plugins source code and issue tracker - github - changelogs


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

  • chente

    Added the Label resolved
  • I appreciate your effort and time to reply and help.


    However, your solution ("Problem #12: Connection lost error message when installing a plugin") - is far from working.

    If I do what is suggested - nothing is installed, even if I leave it 30 min .... before Ctrl+Shift+R


    I have 93 updates showing as available - still 93 after try solution you mentioned - nothing installed


    I am far from an OMV expert - but if you take a look on my error message post 1 , Before "CONNECTION LOST" there are some mentions of errors , and concluding "Processing was halted because there were too many errors." .

    In addition to the message in the Update textbox which I copy/pasted Post #1 , there is a big, ugly red error window: "500 internal server error" :


    "Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C.UTF-8; export LANGUAGE=; export DEBIAN_FRONTEND=noninteractive; apt-get --yes --allow-downgrades --allow-change-held-packages --fix-broken --fix-missing --auto-remove --allow-unauthenticated --show-upgraded --option DPkg::Options::="--force-confold" dist-upgrade 2>&1' with exit code '100': Reading package lists... "



    So I am strongly doubt that "The upgrade will still complete normally" as you stated....


    Also , you should remove the "resolved" tag .....

  • What is the output (and post it inside a CODE box, please. It's the </> symbol of the BLUE banner of the posting box)


    sudo cat /etc/default/grub

    /usr/sbin/grub-mkconfig: 39: /etc/default/grub: iommu.passthrough=1: not found
    run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code 127

    It is complaining about a argument there: iommu.passthrough=1



    update-grub exited with return code 127 at DuckDuckGo

  • Ok , This is the output of "sudo cat /etc/default/grub" :

  • [EDIT] Some references:
    The kernel's command-line parameters — The Linux Kernel documentation

    [/EDIT]


    Ok , This is the output of "sudo cat /etc/default/grub" :

    I don't use GRUB, have no idea why that line is there or what it's for and it's way out of my league.


    There's a reference to a post that is this:

    OMV6 Can't detect all HDD's - General - openmediavault


    That suggests that it was added by OMV or by USER input in any given time/update.

    So, you better wait for ryecoaaron or votdev to give a better answer than mine.



    If you want to risk it and you have a working backup of the OS drive you could comment that line, run update-grub and try again to run omv-upgrade

    Just accept that it might OR might not work and can do more damage than good.

  • This is the error message after update stops due to errors

    Click on the bell on the top right corner and copy/paste the complete error inside a code box.

    The screenshot doesn't show all of it and it's a mess to read.

  • ok , this is the error:


Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!